> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/activar-desactivar-el-mantenimiento-programado.md).

# Activar/Desactivar el mantenimiento programado

Activa o desactiva la visualización programada de avisos de un cliente.

Es obligatorio especificar todos los campos a continuación cuando `schedule_warning` sea `true`.

```http
PATCH /clients/{cli_uuid}
```

### Parámetros de Path

| Parámetro  | Obligatorio | Descripción      |
| ---------- | ----------- | ---------------- |
| `cli_uuid` | Sí          | UUID del cliente |

### Cuerpo de la solicitud

<table><thead><tr><th width="256.56597900390625">Campo</th><th width="123.46435546875">Tipo</th><th>Obligatorio</th><th>Descripción</th></tr></thead><tbody><tr><td><code>schedule_warning</code></td><td>boolean</td><td>Sí</td><td>Activa/desactiva la visualización de avisos programados.</td></tr><tr><td><code>schedule_warning_start</code></td><td>string</td><td>Condicional</td><td>Fecha/hora de inicio.</td></tr><tr><td><code>schedule_warning_end</code></td><td>string</td><td>Condicional</td><td>Fecha/hora de finalización.</td></tr><tr><td><code>schedule_warning_msg</code></td><td>string</td><td>Condicional</td><td>Mensaje del aviso.</td></tr><tr><td><code>display_warning_to_logged_users</code></td><td>boolean</td><td>Condicional</td><td>Muestra el aviso a los usuarios que ya han iniciado sesión.</td></tr></tbody></table>

### Respuesta

**Status:** `200 OK`

Devuelve el objeto completo del cliente actualizado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/activar-desactivar-el-mantenimiento-programado.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
